<VirtualHost *:443>
    ServerName _VAR_MACHINE_FQDN
    # HTTP/2 disabled due to problems with long polling in ZoneMinder.
    Protocols http/1.1

    SSLEngine on
    SSLCertificateFile /etc/ssl/certs/services.pem
    SSLCertificateKeyFile /etc/ssl/private/services.key
    Header always set Strict-Transport-Security "max-age=15768000"

    DocumentRoot /srv/www
    RedirectMatch ^/$ /zm/
    IncludeOptional apps/*.conf
</VirtualHost>

<VirtualHost *:30001 *:30002 *:30003 *:30004 *:30005 *:30006 *:30007 *:30008 *:30009 *:30010>
    ServerName _VAR_MACHINE_FQDN
    # HTTP/2 disabled due to problems with long polling in ZoneMinder.
    Protocols http/1.1

    SSLEngine on
    SSLCertificateFile /etc/ssl/certs/services.pem
    SSLCertificateKeyFile /etc/ssl/private/services.key
    Header always set Strict-Transport-Security "max-age=15768000"

    DocumentRoot /srv/www
    RedirectMatch ^/$ /zm/
    IncludeOptional apps/zoneminder.conf
</VirtualHost>
